View Issue Details

IDProjectCategoryView StatusLast Update
0002810DraftBugpublic2017-04-28 12:03
ReporterruchgAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002810: Keyboard shortcut in Draft
DescriptionWorking thru the manual:
https://yorikvanhavre.gitbooks.io/a-freecad-manual/content/working_with_freecad/traditional_2d_drafting.html

The manual states:
"Note that most of the Draft commands can be fully performed from the keyboard, without touching the mouse, using their two-letter shortcut. Our first 2x2m rectangle can be done like this: re 0 Enter 0 Enter 0 Enter 2m Enter 2m Enter 0 Enter."

I'm not able to get the rectangle formed using the shortcut. I have both Report and Python consoles open and I notice that the numbers are changing the isometric view.

When I type re the task tab opens up with the Rectangle data entry fields. The Report View shows Pick first point: However when I type numbers the Python console shows changes: Gui.activeDocument().activeView().viewAxonometric() or Gui.activeDocument().activeView().viewTop()

I suspect either a bug is sending the keyboard data to the wrong place or I need to do something extra to keep the keyboard data going to the correct area.

OS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.Unknown
Build type: Unknown
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17
Steps To Reproducebejant reports seeing the same issue and provides additional hints.

Postby bejant ยป Sun Dec 04, 2016 2:49 pm
I see the problem now. Typing "re" (without the quotes) opens the Draw A Rectangle tool, but if the cursor is not in the 3D window, or is in the 3D window and does not move, keying in the numerals 0 to 6 changes the view instead of the spinbox values (and keying the numerals 7 - 9 has no effect). Even though the number in the "Global X" spinbox is highlighted, the cursor has to move in the 3D view, changing the spinbox values, before the keyboard can be used to enter the coordinates.

The first time I tried to reproduce your problem I must have moved the cursor in the 3D view by mistake, so I got different results.

The problem happened in both versions (my 0.17 version is dated 2016-11-29 which is a few weeks after the issue 0002756 fix):

OS: Ubuntu 16.04.1 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.16.6707 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 5465bc47c95db45e0be85dc0e2872419efadce0f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17


OS: Ubuntu 16.04.1 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.17.9088 (Git)
Build type: None
Branch: master
Hash: 537cfb2d48ee915b11ef1987880a5229255e4047
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Additional Informationdiscussed in the forum:
http://forum.freecadweb.org/viewtopic.php?f=3&t=18869

Tagskeyboard, shortcuts

Activities

2016-12-05 00:25ruchgNew Issue
2016-12-18 17:33wmayerProjectFreeCAD => Draft

yorik

2016-12-29 18:07

administrator   ~0007557

This is a know old problem... Never been able to find a good solution
2016-12-29 18:08yorikAssigned To => yorik
2016-12-29 18:08yorikStatusnew => assigned
2017-02-17 17:16Kunda1Tag Attached: keyboard
2017-02-17 17:16Kunda1Tag Attached: shortcuts

Kunda1

2017-04-25 12:33

manager   ~0008753

Last edited: 2017-04-28 12:03

View 2 revisions

Fixed by yorik in
c:FreeCAD:fcae6ef45189b88530dc419582f3727ebd3c8a25:
And c:FreeCAD:ff9b027d:

Kunda1

2017-04-25 12:35

manager   ~0008754

Bugtracker note: Close ticket only after commit is attached
2017-04-25 12:35Kunda1Statusassigned => resolved
2017-04-25 12:35Kunda1Resolutionopen => fixed
2017-04-25 12:35Kunda1Fixed in Version => 0.17
2017-04-28 12:03Kunda1Note Edited: 0008753View Revisions

Issue History

Date Modified Username Field Change
2016-12-05 00:25 ruchg New Issue
2016-12-18 17:33 wmayer Project FreeCAD => Draft
2016-12-29 18:07 yorik Note Added: 0007557
2016-12-29 18:08 yorik Assigned To => yorik
2016-12-29 18:08 yorik Status new => assigned
2017-02-17 17:16 Kunda1 Tag Attached: keyboard
2017-02-17 17:16 Kunda1 Tag Attached: shortcuts
2017-04-25 12:33 Kunda1 Note Added: 0008753
2017-04-25 12:35 Kunda1 Status assigned => resolved
2017-04-25 12:35 Kunda1 Resolution open => fixed
2017-04-25 12:35 Kunda1 Fixed in Version => 0.17
2017-04-25 12:35 Kunda1 Note Added: 0008754
2017-04-28 12:03 Kunda1 Note Edited: 0008753 View Revisions